namespace :seed_users do

  desc "Create Beta Users Accounts"
  # rake seed_users:create_beta
  task create_beta: :environment do
    beta_users = [
      ["jasonj@bbstpa.com", 2],
      ["chadb@discoveryinsurance.com", 1],
      ["jerrya@discoveryinsurance.com", 1],
      ["allisona@discoveryinsurance.com", 1],
      ["cherylc@bbstpa.com", 1],
      ["marge@bbstpa.com", 1],
      ["sabrinak@bbstpa.com", 0],
      ["kimf@bbstpa.com", 0]
    ]
    beta_password = "Beta2@26"

    beta_users.each do |user|
      existing_user = User.find_by(email: user.first)
      unless existing_user.present?
        User.create!(email: user.first, role: user.last, password: beta_password)
      end

    end

  end

end
# primary_mb_member_key
# 278134